libzypp 17.37.10

zypp::functor::Not< TCondition > Struct Template Reference

Logical functor inverting TCondition. More...

`#include <zypp/base/Functional.h>`

## Public Member Functions
| Not (TCondition cond_r)
template<class Tp>
bool | operator() (Tp t) const

## Public Attributes
TCondition | _cond

## Detailed Description

template<class TCondition>
struct zypp::functor::Not< TCondition >

Logical functor inverting TCondition.

Definition at line 110 of file Functional.h.

## Constructor & Destructor Documentation

## ◆ Not()

template<class TCondition>

zypp::functor::Not< TCondition >::Not | ( | TCondition | cond_r | ) |
| inline

Definition at line 112 of file Functional.h.

## Member Function Documentation

## ◆ operator()()

template<class TCondition>
template<class Tp>

bool zypp::functor::Not< TCondition >::operator() | ( | Tp | t | ) | const
| inline

Definition at line 117 of file Functional.h.

## Member Data Documentation

## ◆ _cond

template<class TCondition>

TCondition zypp::functor::Not< TCondition >::_cond

Definition at line 122 of file Functional.h.

The documentation for this struct was generated from the following file:

- zypp/base/Functional.h